%define git_url git://git.fedorahosted.org/readahead

Summary:        Read a preset list of files into memory
Name:           readahead
Version:        1.5.7
Release:        %mkrel 5
Group:          System/Boot and Init
License:        GPLv2+
URL:		https://hosted.fedoraproject.org/readahead
Source0:	readahead-%{version}.tar.bz2
Source1:	readahead_early
Source2:	default.early
# (fc) 1.4.6-2mdv default values for Mageia
Patch0:		readahead-default.patch
# (fc) 1.4.6-2mdv create a temp file to detect if collector is running, autodelect collector enabling file at end of collection
Patch1:		readahead-1.5.6-autocollector.patch
BuildRequires:	libblkid-devel
BuildRequires:	audit-devel
BuildRequires:	auparse-devel
BuildRequires:	libext2fs-devel
Requires(post):    chkconfig
Requires(pre):     chkconfig
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:	procps
Requires:	gawk
Requires:	util-linux-ng
Obsoletes:	kernel-utils
# easy upgrade from 2009.1 to 2010.1
Conflicts:	%mklibname audit 0

%description
readahead reads the contents of a list of files into memory,
which causes them to be read from cache when they are actually
needed. Its goal is to speed up the boot process.

%prep
%setup -q
%patch0 -p1 -b .default
%patch1 -p1 -b .autocollector
install -m644 %{SOURCE2} lists/

%build
%configure2_5x \
	--disable-rpath

%make

make rpm-lists-rebuild FILES="default.early" RPM_LIB="%{_lib}" RPM_ARCH="%{_arch}"


%install
%makeinstall_std unitdir=%{_unitdir}
%find_lang %{name}

mkdir -p %{buildroot}%{_sbindir}
install -m755 %{SOURCE1} %{buildroot}%{_sbindir}/readahead_early
install -m755 %{SOURCE1} %{buildroot}%{_sbindir}/readahead_later
sed -i -e 's/early/later/g' %{buildroot}%{_sbindir}/readahead_later

mkdir -p %{buildroot}%{_var}/lib/readahead
install -m644 lists/default.early %{buildroot}%{_var}/lib/readahead

# we don't use upstart
rm -rf %{buildroot}/etc/event.d
rm -rf %{buildroot}%{_sysconfdir}/init

# (bor) disable for now, it is done in rc.sysinit
rm -rf %{buildroot}%{_unitdir}/default.target.wants
%pre
if [ -f /etc/rc.d/init.d/readahead_early ]; then
  /sbin/chkconfig --del readahead_early > /dev/null 2>&1 
  /sbin/chkconfig --del readahead_later
fi

%post
if [ "$1" = "1" ]; then
 touch /.readahead_collect
fi

%files -f %{name}.lang
%doc README lists/README.lists
%{_sbindir}/readahead
%{_sbindir}/readahead-collector
%{_sbindir}/readahead_early
%{_sbindir}/readahead_later
%{_sysconfdir}/cron.daily/readahead.cron
%{_sysconfdir}/cron.monthly/readahead-monthly.cron
%config(noreplace) %{_sysconfdir}/sysconfig/readahead
%config(noreplace) %{_sysconfdir}/readahead.conf
%dir %{_var}/lib/readahead
%attr(0644,root,root) %{_var}/lib/readahead/default.early
/lib/readahead/%{name}-*.sh
# (bor) disable for now, it is done in rc.sysinit
#/lib/systemd/system/default.target.wants/readahead-*.service
%{_unitdir}/readahead-*.service


%changelog

* Wed Jan 23 2013 fwang <fwang> 1.5.7-5.mga3
+ Revision: 391186
- update dir
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.5.7-4.mga3
+ Revision: 380250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 28 2012 tmb <tmb> 1.5.7-3.mga2
+ Revision: 233844
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Mar 16 2011 tv <tv> 1.5.7-2.mga1
+ Revision: 72767
- clean up
- imported package readahead

